Deleted mail client HELP

Discussion in 'Mac Apps and Mac App Store' started by craig4568, Jun 8, 2011.

  1. craig4568 macrumors member

    Joined:
    Jun 25, 2010
    Location:
    North Yorkshire
    #1
    Hi Guys having a real problem with mail 4.2
    the problem was all setting are correct but it was only downloading the 1st mail and then not collecting the rest of the inbox this problem was going on for a few weeks and i tried this forum for some help to no avail.

    However i did talk to the guy in an apple reseller store who told me if i still have my copy of snow leopard which i did i could delete the mail client and reinstall from the disk.
    a solution or so i thought, so thats what i have done unfortunately now when i open the mail app i get this error message


    You can’t use this version of Mail with this version of Mac OS XYou have Mail version 4.2 (1078/1084). It can’t be used on Mac OS X Version 10.6.7 (Build 10J869). For more information, click the Help button.

    The help button has been no help

    can anyone help

    regards


    Craig
     
  2. Nikh macrumors regular

    Joined:
    Jun 15, 2010
    Location:
    Kyiv
    #2
    Mac OS 10.6.7 has version 4.5 of Mail.app, so you should use that version.
     
  3. craig4568 thread starter macrumors member

    Joined:
    Jun 25, 2010
    Location:
    North Yorkshire
    #3
    hi thanks do you know wrer i can download it


    C
     
  4. Nikh macrumors regular

    Joined:
    Jun 15, 2010
    Location:
    Kyiv
    #4
    This application may help : http://www.charlessoft.com/
    Or just ask somebody near you to zip Mail.app and send/copy to your computer.
     

Share This Page